/* Copyright (c) 1992 Michael J. Roberts.  All Rights Reserved. */
/*
Name
  ossmdum.c  - stub routines for TADS 2.0 on Macintosh
Function
  This module defines symbols required by the os subsystem
  but not used with the TADS interpreter or run-time.  The
  symbols here are just stubs, and don't do anything.
Notes
  None
Modified
  12/26/97 CNebel      - fleshed out with correct prototypes.
  08/30/92 MJRoberts   - creation
*/

#include "dbgumac.h"

int tdb2;
int watch_selection;


void dbgwatchupd(void)
{
}

void dbgsrcupd(void)
{
}

void dbginval(void)
{
}

void dbgwxinval(void)
{
}

void dbgwxclr(void)
{
}

void dbgwxcont(Point where, EventRecord *evt)
{
	#ifdef __MWERKS__
	#pragma unused(where, evt)
	#endif
}

void dbgContent(Point where, EventRecord *evt)
{
	#ifdef __MWERKS__
	#pragma unused(where, evt)
	#endif
}

char *dbgmenu(long mResult)
{
	#ifdef __MWERKS__
	#pragma unused(mResult)
	#endif
	return NULL;
}

void dbgwxScroll(ControlHandle theControl, int theCode)
{
	#ifdef __MWERKS__
	#pragma unused(theControl, theCode)
	#endif
}

void dbgwxgrow(void)
{
}

void srcScroll(ControlHandle theControl, int theCode)
{
	#ifdef __MWERKS__
	#pragma unused(theControl, theCode)
	#endif
}

void srcAdjust(void)
{
}
